package com.sooka.system.funeral.the_dead.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.framework.util.ShiroUtils;
import com.sooka.system.funeral.the_dead.domain.TGuijiTheDead;
import com.sooka.system.funeral.the_dead.mapper.TGuijiTheDeadMapper;
import com.sooka.system.funeral.the_dead.service.ITGuijiTheDeadService;
import com.sooka.system.service.impl.Guiji_Base_Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 市殡葬-逝者基本信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiTheDeadServiceImpl extends Guiji_Base_Service implements ITGuijiTheDeadService
{
    @Resource
    private TGuijiTheDeadMapper mapper;

    /**
     * 查询市殡葬-逝者基本信息
     *
     * @param id 市殡葬-逝者基本信息ID
     * @return 市殡葬-逝者基本信息
     */
    @Override
    public TGuijiTheDead selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询市殡葬-逝者基本信息列表
     *
     * @param param 市殡葬-逝者基本信息
     * @return 市殡葬-逝者基本信息
     */
    @Override
    public List<TGuijiTheDead> selectList(TGuijiTheDead param)
    {
        List<TGuijiTheDead> list = mapper.selectList(param);
        param.setOperationStatus(1L);
        param.setParam(param.toString());
        param.setInterfacetype("platform_interfacetype_1");//1 共享 2归集
        param.setInterfaceinfoId("a6eb2687-40bc-410f-92a4-5efa6a21a932");
        param.setInterfaceinfoName("共享（市）-市殡葬-逝者基本信息");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        param.setDeptId(deptId);
        param.setDeptName(deptName);
        add_log(param);
        return list;
    }

    /**
     * 新增市殡葬-逝者基本信息
     *
     * @param param 市殡葬-逝者基本信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiTheDead param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改市殡葬-逝者基本信息
     *
     * @param param 市殡葬-逝者基本信息
     * @return 结果
     */
    @Override
    public int update(TGuijiTheDead param)
    {
        return mapper.update(param);
    }

    /**
     * 删除市殡葬-逝者基本信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除市殡葬-逝者基本信息信息
     *
     * @param id 市殡葬-逝者基本信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
